JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for
await
(
const
issueListResponse
of
client
.
issues
.
list
()) {
console
.
log
(
issueListResponse
.
uuid
);
}
curl --request GET \
  --url https://bff.opriven.com/api/v2/issues \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://bff.opriven.com/api/v2/issues"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/issues",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/issues"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues")
  .header("Authorization", "Bearer <token>")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/issues")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
200
400
401
403
429
500
{
"object"
:
"list"
,
"data"
: [
{
"uuid"
:
"<string>"
,
"number"
:
4503599627370495
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"severity"
:
"low"
,
"status"
:
"investigating"
,
"environment"
:
"<string>"
,
"triggeredAt"
:
"2023-11-07T05:31:56Z"
,
"seedCount"
:
4503599627370495
}
],
"has_more"
:
true
,
"after"
:
"<string>"
,
"before"
:
"<string>"
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Issues
Fetch issues for an organization
Copy page
Copy page
Returns a paginated list of issues for the authenticated organization
Copy page
Copy page
GET
https://bff.opriven.com/api/v2
https://bff.dev.opriven.com/api/v2
/
issues
Try it
JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for
await
(
const
issueListResponse
of
client
.
issues
.
list
()) {
console
.
log
(
issueListResponse
.
uuid
);
}
curl --request GET \
  --url https://bff.opriven.com/api/v2/issues \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://bff.opriven.com/api/v2/issues"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/issues",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/issues"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.get("https://bff.opriven.com/api/v2/issues")
  .header("Authorization", "Bearer <token>")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/issues")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
200
400
401
403
429
500
{
"object"
:
"list"
,
"data"
: [
{
"uuid"
:
"<string>"
,
"number"
:
4503599627370495
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"severity"
:
"low"
,
"status"
:
"investigating"
,
"environment"
:
"<string>"
,
"triggeredAt"
:
"2023-11-07T05:31:56Z"
,
"seedCount"
:
4503599627370495
}
],
"has_more"
:
true
,
"after"
:
"<string>"
,
"before"
:
"<string>"
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Authorizations
Authorization
string
header
required
API key authentication via Bearer token
Headers
Opriven-Version
string
default:
2026-03-17
The API version to use. Defaults to the latest stable version if omitted. Pin to the version string in this document's
info.version
field to opt into exactly this version's schema.
Example
:
"2026-03-17"
Query Parameters
limit
integer
default:
10
Number of items to return (1-100)
Required range
:
1 <= x <= 100
startingAfter
string
Cursor for forward pagination (ID/UUID to start after)
endingBefore
string
Cursor for backward pagination (ID/UUID to end before)
status
enum<string>
Filter by issue status
Available options
:
investigating
,
ready_to_fix
,
resolved
,
muted
environment
string
Filter by environment (exact match)
Minimum string length:
1
search
string
Search issues by title or description (case-insensitive substring match)
Minimum string length:
1
Response
200
application/json
Paginated list of issues
object
enum<string>
required
Available options
:
list
data
object[]
required
Show
child attributes
has_more
boolean
required
after
string
before
string
Create a new issue
Powered by
This documentation is built and hosted on Mintlify, a developer documentation platform